## drm-4.15 5.0~rc4

=== Makefile ===
KVER        := $(shell uname -r)
KBASE       := /lib/modules/$(KVER)
KSRC        := $(KBASE)/source
KBUILD      := $(KBASE)/build
MOD_DIR     := $(KBASE)/kernel
PWD         := $(shell pwd)

INC_INCPATH := $(KBUILD_EXTMOD)/include
DRMD        := drivers/gpu/drm/

.PHONY: default clean modules load unload install patch

# make sure our dkms includes override local ones:
LINUXINCLUDE := -I$(INC_INCPATH) -I$(INC_INCPATH)/drm -I$(INC_INCPATH)/uapi $(LINUXINCLUDE)
LINUXINCLUDE += -I$(KBUILD_EXTMOD)/drivers/gpu/drm/amd/include
ccflags-y    := -Iinclude/drm

intel_ips-y := $(patsubst %,drivers/platform/x86/%.o,intel_ips)
backport-y  := $(patsubst %,drivers/%.o,backport)

obj-$(CONFIG_INTEL_IPS)          += intel_ips.o
obj-m	+= backport.o

BUILD_MODULES  := intel_ips.o backport.o

obj-m := $(BUILD_MODULES)
obj-m += drivers/gpu/drm/

modules: $(KBUILD) $(patsubst %.o,%.c,$(BUILD_MODULES))
	$(MAKE) -C $(KBUILD) M=$(PWD) O=$(KBUILD) modules

clean:
	rm -rf *.o *.ko *.cmd .*.cmd .tmp_versions

=== drivers/gpu/drm/Makefile ===
# SPDX-License-Identifier: GPL-2.0

# Makefile for the drm device driver.  This driver provides support for the
# Direct Rendering Infrastructure (DRI) in XFree86 4.1.0 and higher.

drm-y       :=	drm_auth.o drm_bufs.o drm_cache.o \
		drm_context.o drm_dma.o \
		drm_file.o drm_gem.o drm_ioctl.o drm_irq.o \
		drm_lock.o drm_memory.o drm_drv.o \
		drm_scatter.o drm_pci.o \
		drm_sysfs.o drm_hashtab.o drm_mm.o \
		drm_crtc.o drm_fourcc.o drm_modes.o drm_edid.o \
		drm_info.o drm_encoder_slave.o \
		drm_trace_points.o drm_global.o drm_prime.o \
		drm_rect.o drm_vma_manager.o drm_flip_work.o \
		drm_modeset_lock.o drm_atomic.o drm_bridge.o \
		drm_framebuffer.o drm_connector.o drm_blend.o \
		drm_encoder.o drm_mode_object.o drm_property.o \
		drm_plane.o drm_color_mgmt.o drm_print.o \
		drm_dumb_buffers.o drm_mode_config.o drm_vblank.o \
		drm_syncobj.o drm_lease.o

drm-$(CONFIG_DRM_LIB_RANDOM) += lib/drm_random.o
drm-$(CONFIG_DRM_VM) += drm_vm.o
drm-$(CONFIG_COMPAT) += drm_ioc32.o
drm-$(CONFIG_DRM_GEM_CMA_HELPER) += drm_gem_cma_helper.o
drm-$(CONFIG_PCI) += ati_pcigart.o
drm-$(CONFIG_DRM_PANEL) += drm_panel.o
drm-$(CONFIG_OF) += drm_of.o
drm-$(CONFIG_AGP) += drm_agpsupport.o
drm-$(CONFIG_DEBUG_FS) += drm_debugfs.o drm_debugfs_crc.o
drm-$(CONFIG_DRM_LOAD_EDID_FIRMWARE) += drm_edid_load.o

drm_kms_helper-y := drm_crtc_helper.o drm_dp_helper.o drm_probe_helper.o \
		drm_plane_helper.o drm_dp_mst_topology.o drm_atomic_helper.o \
		drm_kms_helper_common.o drm_dp_dual_mode_helper.o \
		drm_simple_kms_helper.o drm_modeset_helper.o \
		drm_scdc_helper.o drm_gem_framebuffer_helper.o

drm_kms_helper-$(CONFIG_DRM_PANEL_BRIDGE) += bridge/panel.o
drm_kms_helper-$(CONFIG_DRM_FBDEV_EMULATION) += drm_fb_helper.o
drm_kms_helper-$(CONFIG_DRM_KMS_CMA_HELPER) += drm_fb_cma_helper.o
drm_kms_helper-$(CONFIG_DRM_DP_AUX_CHARDEV) += drm_dp_aux_dev.o

obj-$(CONFIG_DRM_KMS_HELPER) += drm_kms_helper.o
obj-$(CONFIG_DRM_DEBUG_MM_SELFTEST) += selftests/

obj-$(CONFIG_DRM)	+= drm.o
obj-$(CONFIG_DRM_MIPI_DSI) += drm_mipi_dsi.o
obj-$(CONFIG_DRM_ARM)	+= arm/
obj-$(CONFIG_DRM_TTM)	+= ttm/
#obj-$(CONFIG_DRM_TDFX)	+= tdfx/
#obj-$(CONFIG_DRM_R128)	+= r128/
obj-y			+= amd/lib/
#obj-$(CONFIG_HSA_AMD) += amd/amdkfd/
#obj-$(CONFIG_DRM_RADEON)+= radeon/
#obj-$(CONFIG_DRM_AMDGPU)+= amd/amdgpu/
#obj-$(CONFIG_DRM_MGA)	+= mga/
#obj-$(CONFIG_DRM_I810)	+= i810/
obj-$(CONFIG_DRM_I915)	+= i915/
#obj-$(CONFIG_DRM_MGAG200) += mgag200/
#obj-$(CONFIG_DRM_VC4)  += vc4/
#obj-$(CONFIG_DRM_CIRRUS_QEMU) += cirrus/
#obj-$(CONFIG_DRM_SIS)   += sis/
#obj-$(CONFIG_DRM_SAVAGE)+= savage/
#obj-$(CONFIG_DRM_VMWGFX)+= vmwgfx/
#obj-$(CONFIG_DRM_VIA)	+=via/
#obj-$(CONFIG_DRM_VGEM)	+= vgem/
#obj-$(CONFIG_DRM_NOUVEAU) +=nouveau/
#obj-$(CONFIG_DRM_EXYNOS) +=exynos/
#obj-$(CONFIG_DRM_ROCKCHIP) +=rockchip/
#obj-$(CONFIG_DRM_GMA500) += gma500/
#obj-$(CONFIG_DRM_UDL) += udl/
#obj-$(CONFIG_DRM_AST) += ast/
#obj-$(CONFIG_DRM_ARMADA) += armada/
#obj-$(CONFIG_DRM_ATMEL_HLCDC)	+= atmel-hlcdc/
#obj-$(CONFIG_DRM_RCAR_DU) += rcar-du/
#obj-$(CONFIG_DRM_SHMOBILE) +=shmobile/
#obj-y			+= omapdrm/
#obj-$(CONFIG_DRM_SUN4I) += sun4i/
#obj-y			+= tilcdc/
#obj-$(CONFIG_DRM_QXL) += qxl/
#obj-$(CONFIG_DRM_BOCHS) += bochs/
#obj-$(CONFIG_DRM_VIRTIO_GPU) += virtio/
#obj-$(CONFIG_DRM_MSM) += msm/
#obj-$(CONFIG_DRM_TEGRA) += tegra/
#obj-$(CONFIG_DRM_STM) += stm/
#obj-$(CONFIG_DRM_STI) += sti/
#obj-$(CONFIG_DRM_IMX) += imx/
#obj-$(CONFIG_DRM_MEDIATEK) += mediatek/
#obj-$(CONFIG_DRM_MESON)	+= meson/
#obj-y			+= i2c/
#obj-y			+= panel/
#obj-y			+= bridge/
#obj-$(CONFIG_DRM_FSL_DCU) += fsl-dcu/
#obj-$(CONFIG_DRM_ETNAVIV) += etnaviv/
#obj-$(CONFIG_DRM_ARCPGU)+= arc/
#obj-y			+= hisilicon/
#obj-$(CONFIG_DRM_ZTE)	+= zte/
#obj-$(CONFIG_DRM_MXSFB)	+= mxsfb/
#obj-$(CONFIG_DRM_TINYDRM) += tinydrm/
#obj-$(CONFIG_DRM_PL111) += pl111/
#obj-$(CONFIG_DRM_TVE200) += tve200/

=== drivers/gpu/drm/i915/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the drm device driver.  This driver provides support for the
# Direct Rendering Infrastructure (DRI) in XFree86 4.1.0 and higher.

subdir-ccflags-$(CONFIG_DRM_I915_WERROR) := -Werror
subdir-ccflags-y += \
	$(call as-instr,movntdqa (%eax)$(comma)%xmm0,-DCONFIG_AS_MOVNTDQA)

# Please keep these build lists sorted!

# core driver code
i915-y := i915_drv.o \
	  i915_irq.o \
	  i915_memcpy.o \
	  i915_mm.o \
	  i915_params.o \
	  i915_pci.o \
          i915_suspend.o \
	  i915_syncmap.o \
	  i915_sw_fence.o \
	  i915_sysfs.o \
	  intel_csr.o \
	  intel_device_info.o \
	  intel_pm.o \
	  intel_runtime_pm.o

i915-$(CONFIG_COMPAT)   += i915_ioc32.o
i915-$(CONFIG_DEBUG_FS) += i915_debugfs.o intel_pipe_crc.o

# GEM code
i915-y += i915_cmd_parser.o \
	  i915_gem_batch_pool.o \
	  i915_gem_clflush.o \
	  i915_gem_context.o \
	  i915_gem_dmabuf.o \
	  i915_gem_evict.o \
	  i915_gem_execbuffer.o \
	  i915_gem_fence_reg.o \
	  i915_gem_gtt.o \
	  i915_gem_internal.o \
	  i915_gem.o \
	  i915_gem_object.o \
	  i915_gem_render_state.o \
	  i915_gem_request.o \
	  i915_gem_shrinker.o \
	  i915_gem_stolen.o \
	  i915_gem_tiling.o \
	  i915_gem_timeline.o \
	  i915_gem_userptr.o \
	  i915_gemfs.o \
	  i915_trace_points.o \
	  i915_vma.o \
	  intel_breadcrumbs.o \
	  intel_engine_cs.o \
	  intel_hangcheck.o \
	  intel_lrc.o \
	  intel_mocs.o \
	  intel_ringbuffer.o \
	  intel_uncore.o

# general-purpose microcontroller (GuC) support
i915-y += intel_uc.o \
	  intel_uc_fw.o \
	  intel_guc.o \
	  intel_guc_ct.o \
	  intel_guc_log.o \
	  intel_guc_fw.o \
	  intel_huc.o \
	  i915_guc_submission.o

# autogenerated null render state
i915-y += intel_renderstate_gen6.o \
	  intel_renderstate_gen7.o \
	  intel_renderstate_gen8.o \
	  intel_renderstate_gen9.o

# modesetting core code
i915-y += intel_audio.o \
	  intel_atomic.o \
	  intel_atomic_plane.o \
	  intel_bios.o \
	  intel_cdclk.o \
	  intel_color.o \
	  intel_display.o \
	  intel_dpio_phy.o \
	  intel_dpll_mgr.o \
	  intel_fbc.o \
	  intel_fifo_underrun.o \
	  intel_frontbuffer.o \
	  intel_hotplug.o \
	  intel_modes.o \
	  intel_overlay.o \
	  intel_psr.o \
	  intel_sideband.o \
	  intel_sprite.o
i915-$(CONFIG_ACPI)		+= intel_acpi.o intel_opregion.o
i915-$(CONFIG_DRM_FBDEV_EMULATION)	+= intel_fbdev.o

# modesetting output/encoder code
i915-y += dvo_ch7017.o \
	  dvo_ch7xxx.o \
	  dvo_ivch.o \
	  dvo_ns2501.o \
	  dvo_sil164.o \
	  dvo_tfp410.o \
	  intel_crt.o \
	  intel_ddi.o \
	  intel_dp_aux_backlight.o \
	  intel_dp_link_training.o \
	  intel_dp_mst.o \
	  intel_dp.o \
	  intel_dsi.o \
	  intel_dsi_dcs_backlight.o \
	  intel_dsi_pll.o \
	  intel_dsi_vbt.o \
	  intel_dvo.o \
	  intel_hdmi.o \
	  intel_i2c.o \
	  intel_lspcon.o \
	  intel_lvds.o \
	  intel_panel.o \
	  intel_sdvo.o \
	  intel_tv.o

# Post-mortem debug and GPU hang state capture
i915-$(CONFIG_DRM_I915_CAPTURE_ERROR) += i915_gpu_error.o
i915-$(CONFIG_DRM_I915_SELFTEST) += \
	selftests/i915_random.o \
	selftests/i915_selftest.o

# virtual gpu code
i915-y += i915_vgpu.o

# perf code
i915-y += i915_perf.o \
	  i915_oa_hsw.o \
	  i915_oa_bdw.o \
	  i915_oa_chv.o \
	  i915_oa_sklgt2.o \
	  i915_oa_sklgt3.o \
	  i915_oa_sklgt4.o \
	  i915_oa_bxt.o \
	  i915_oa_kblgt2.o \
	  i915_oa_kblgt3.o \
	  i915_oa_glk.o \
	  i915_oa_cflgt2.o

#ifeq ($(CONFIG_DRM_I915_GVT),y)
#i915-y += intel_gvt.o
#include $(src)/gvt/Makefile
#endif

# LPE Audio for VLV and CHT
i915-y += intel_lpe_audio.o

obj-$(CONFIG_DRM_I915) += i915.o

=== drivers/gpu/drm/bridge/adv7511/Makefile ===
adv7511_drm-y := adv7511_drv.o
adv7511_drm-$(CONFIG_DRM_I2C_ADV7511_AUDIO) += adv7511_audio.o
adv7511_drm-$(CONFIG_DRM_I2C_ADV7511_CEC) += adv7511_cec.o
adv7511_drm-$(CONFIG_DRM_I2C_ADV7533) += adv7533.o
obj-$(CONFIG_DRM_I2C_ADV7511) += adv7511_drm.o

=== debian/changelog ===
drm-4.15 (5.0~rc4-3) bionic; urgency=medium

  * Add VCS location for better maintainence.

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Wed, 06 May 2020 15:53:34 +0800

drm-4.15 (5.0~rc4-2) bionic; urgency=medium

  * Obsolete by 4.15.0-1069.

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Tue, 05 May 2020 19:11:24 +0800

drm-4.15 (5.0~rc4-1) bionic; urgency=medium

  * drm from 5.0~rc4.

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Tue, 05 May 2020 17:52:24 +0800

=== debian/control ===
Source: drm-4.15
Section: kernel
Priority: optional
Maintainer: Timo Aaltonen <timo.aaltonen@canonical.com>
Build-Depends: debhelper (>= 7), dkms, quilt, dh-modaliases
Standards-Version: 4.1.4
Vcs-Browser: https://code.launchpad.net/~oem-solutions-engineers/somerville/+git/oem-dkms

Package: drm-4.15-dkms
Architecture: amd64
XB-Modaliases: ${modaliases}
Depends: dkms (>= 2.3-3ubuntu9.7), linux-headers, ${misc:Depends}
Description: DRM video drivers from the mainline kernel
 Backported for 4.15 kernel.
 .
 This package contains the source to be built with dkms.
